/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */

if (!QfqNS) {
    var QfqNS = {};
}

if (!QfqNS.Element) {
    QfqNS.Element = {};
}

(function (n) {
    'use strict';


    /**
     *
     * @param $element
     * @constructor
     */
    function Input($element) {
        n.Element.call(this, $element);

        if (!this.isType("text")) {
            throw new Error("$element is not of type 'text'");
        }
    }

    Input.prototype = Object.create(n.Element.prototype);
    Input.prototype.constructor = Input;

    Input.prototype.setValue = function (val) {
        this.formGroup.$element.val(val);
    };

    Input.prototype.getValue = function () {
        return this.formGroup.$element.val();
    };

    n.Input = Input;

})(QfqNS.Element);