<?php
/**
 * Created by PhpStorm.
 * User: ep
 * Date: 12/23/15
 * Time: 6:16 PM
 */

namespace qfq;

use qfq;
//use qfq\UserException;
//use qfq\CodeException;
//use qfq\DbException;

require_once(__DIR__ . '/../qfq/QuickFormQuery.php');
require_once(__DIR__ . '/../qfq/exceptions/UserException.php');
require_once(__DIR__ . '/../qfq/exceptions/CodeException.php');
require_once(__DIR__ . '/../qfq/exceptions/DbException.php');


//TODO: unit tests fuer alle abgefangenen Exceptions

/*
 *
 * @param string $bodytext keyvalue pairs.
 *
 * @return $string LOAD: the form as HTML, SAVE: success or failure message, or JS redirect to destination page.
 */
function renderForm($bodytext = "") {

    try {
        $qfq = new QuickFormQuery($bodytext);
        echo $qfq->process();

        echo "test";


    } catch (UserException $e) {
        echo $e->formatMessage();
    } catch (CodeException $e) {
        echo $e->formatMessage();
    } catch (DbException $e) {
        echo $e->formatMessage();
    } catch (\Exception $e) {
        echo "Generic Exception: " . $e->getMessage();
    }

}