/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */
/* global describe */
/* global it */
/* global expect */
/* global QfqNS */
/* global beforeAll */
/* global jasmine */
/* global $ */

describe("Element Element", function () {
    'use strict';

    it("should identify type properly", function () {
        var element = new QfqNS.Element.Element($('#firstname'));
        expect(element.isType("text")).toBe(true);

        element = new QfqNS.Element.Element($("input[name='gender']"));
        expect(element.isType("radio")).toBe(true);

        expect(element.isType("checkbox")).toBe(false);
    });


});
