<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 2/18/16
 * Time: 5:30 PM
 */

namespace qfq;

require_once(__DIR__ . '/../Constants.php');
require_once(__DIR__ . '/../exceptions/UserException.php');

class Logger {

    /**
     * Haengt $msg an $filename an
     *
     * @param $msg
     * @param $filename
     * @throws UserException
     */
    public static function logMessage($msg, $filename) {

        if (!$handle = fopen($filename, 'a')) {
            throw new UserException("Error - cannot open. File: " . $filename . " ( CWD: " . getcwd() . ")", ERROR_IO_OPEN);
        }


        if (fwrite($handle, $msg . PHP_EOL) === FALSE) {
            throw new UserException("Error - cannot write. File: " . $filename . " ( CWD: " . getcwd() . ")", ERROR_IO_WRITE);
        }

        fclose($handle);
    } // logMessage()

}