QFQ: Typo3 Extbase Extension
===============================

Version: see `extension/ext_emconf.php`

Installation
------------
* Take care that the `php5-mysqlnd` driver is installed:
* The following functions are used and are only available with the native driver:
         mysqli::get_result (important),
         mysqli::fetch_all (nice to have)
* See also: http://dev.mysql.com/downloads/connector/php-mysqlnd/
* If there is a error message "Call to undefined method mysqli_stmt::get_result()", `php5-mysqlnd` is not installed or not active.

* Ubuntu:

    sudo apt-get install php5-mysqlnd
    sudo php5enmod mysqlnd
    sudo service apache2 restart

* Install extension as regular.
* In `typo3conf/ext/qfq` rename `config.examle.ini` to `config.ini`.
* Fill `config.ini` with valid database credentials.
* Insert a new content record of type `qfq`.
* As a test, insert: `sql1 = SELECT 'Hello World'`. View the page in browser.

Bootstrap: include by TypoScript
---------
page.includeCSS {

     file1 = typo3conf/ext/qfq/Resources/Public/Css/bootstrap.min.css
     file2 = typo3conf/ext/qfq/Resources/Public/Css/bootstrap-theme.min.css
     file3 = typo3conf/ext/qfq/Resources/Public/Css/jqx.base.css
     file4 = typo3conf/ext/qfq/Resources/Public/Css/jqx.darkblue.css
     file5 = typo3conf/ext/qfq/Resources/Public/Css/qfq-jqw.css
}

page.includeJS {

     file1 = typo3conf/ext/qfq/Resources/Public/JavaScript/jquery.min.js
     file2 = typo3conf/ext/qfq/Resources/Public/JavaScript/bootstrap.min.js
     file3 = typo3conf/ext/qfq/Resources/Public/JavaScript/jqx-all.js
     file4 = typo3conf/ext/qfq/Resources/Public/JavaScript/qfq-jqw.debug.js
}


Usage
-----
* https://wikiit.math.uzh.ch/it/projekt/qfq/qfq-jqwidgets

