DROP TABLE IF EXISTS Person;
CREATE TABLE Person (
  id        BIGINT AUTO_INCREMENT PRIMARY KEY,
  name      VARCHAR(128),
  firstname VARCHAR(128),
  gender ENUM('', 'male', 'female') NOT NULL DEFAULT 'male',
  groups SET('', 'a', 'b', 'c')     NOT NULL DEFAULT ''
);

#
# Create Demo
INSERT INTO Person (id, name, firstname, gender, groups) VALUES
  (NULL, 'Doe', 'John', 'male', 'c'),
  (NULL, 'Smith', 'Jane', 'female', 'a,c');


DROP TABLE IF EXISTS Address;
CREATE TABLE Address (
  id        BIGINT AUTO_INCREMENT PRIMARY KEY,
  person_id BIGINT,
  street    VARCHAR(128),
  city      VARCHAR(128),
  country   ENUM('Switzerland', 'Austria', 'France', 'Germany'),
  gr_id_typ BIGINT
);

DROP TABLE IF EXISTS Gruppe;
CREATE TABLE Gruppe (
  id    BIGINT AUTO_INCREMENT PRIMARY KEY,
  name  VARCHAR(255),
  value VARCHAR(255),
  typ   VARCHAR(255),
  t1    TEXT
);

# ---------------------------

